# JmsEnumeration.h File Reference

Describes a JmsEnumeration handle. More...

`#include <JmsCommon.h>`
`#include <JmsTypes.h>`

Go to the source code of this file.

## Typedefs
typedef JmsEnumeration | JmsEnumeration
## Functions
int JMSENTRY | JmsEnumerationHasMoreElements (JmsEnumeration *enumeration, int *more, JMS64I flags)
int JMSENTRY | JmsEnumerationNextElement (JmsEnumeration *enumeration, void **message, JMS64I flags)
int JMSENTRY | JmsEnumerationDestroy (JmsEnumeration *enumeration, JMS64I flags)

## Detailed Description

Describes a JmsEnumeration handle.

This file describes the functions that can be performed on a JmsEnumeration handle A JmsDestination handle corresponds to java.util.Enumeration

Author:
  Copyright (c) 2002, BEA Systems, Inc.

## Typedef Documentation

typedef struct JmsEnumeration JmsEnumeration

| A enumeration handle that represents the class java.util.Enumeration

## Function Documentation

int JMSENTRY JmsEnumerationDestroy | ( | JmsEnumeration * | enumeration,
|  | JMS64I | flags
| ) |

  | Destroys the enumeration. After a call to this function the enumeration handle is no longer valid and should not be referenced Parameters:
  enumeration | Must be a valid enumeration handle. May not be NULL
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR JMS_NEED_SPACE

int JMSENTRY JmsEnumerationHasMoreElements | ( | JmsEnumeration * | enumeration,
|  | int * | more,
|  | JMS64I | flags
| ) |

  | Tells if the given enumeration handle has another element Parameters:
  enumeration | Must be a valid enumeration handle. May not be NULL
  more | May not be NULL. On success, *more will be set to zero if there are no more element, and non-zero if there are more elements
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR JMS_NEED_SPACE

int JMSENTRY JmsEnumerationNextElement | ( | JmsEnumeration * | enumeration,
|  | void ** | message,
|  | JMS64I | flags
| ) |

  | Gets the next element from the enumeration An enumeration can come from several sources, so type of the second parameter will be determined by the origin of the enumeration itself. For example, in some cases **message should be a JmsMessage **, while in other cases **message should be a JmsString ** Parameters:
  enumeration | Must be a valid enumeration handle. May not be NULL
  message | Must not be NULL. On success *message will contain the appropriate output handle or type for the enumeration a valid destination handle
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR JMS_NEED_SPACE